Loading...
Searching...
No Matches
opengv::relative_pose::MACentralRelative Class Reference

`#include <MACentralRelative.hpp>`

Inheritance diagram for opengv::relative_pose::MACentralRelative:

## Public Member Functions

EIGEN_MAKE_ALIGNED_OPERATOR_NEW | MACentralRelative (const double *bearingVectors1, const double *bearingVectors2, int numberBearingVectors1, int numberBearingVectors2)
| Constructor. See protected class-members to understand parameters.
virtual | ~MACentralRelative ()
| Destructor.
virtual bearingVector_t | getBearingVector1 (size_t index) const
virtual bearingVector_t | getBearingVector2 (size_t index) const
virtual double | getWeight (size_t index) const
virtual translation_t | getCamOffset1 (size_t index) const
virtual rotation_t | getCamRotation1 (size_t index) const
virtual translation_t | getCamOffset2 (size_t index) const
virtual rotation_t | getCamRotation2 (size_t index) const
virtual size_t | getNumberCorrespondences () const
Public Member Functions inherited from opengv::relative_pose::RelativeAdapterBase
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | RelativeAdapterBase ()
| Constructor.
| RelativeAdapterBase (const rotation_t &R12)
| Constructor.
| RelativeAdapterBase (const translation_t &t12, const rotation_t &R12)
| Constructor.
virtual | ~RelativeAdapterBase ()
| Destructor.
opengv::translation_t | gett12 () const
| Retrieve the prior or known value for the relative position.
void | sett12 (const opengv::translation_t &t12)
| Set the prior or known value for the relative position.
opengv::rotation_t | getR12 () const
| Retrieve the prior or known value for the relative rotation.
void | setR12 (const opengv::rotation_t &R12)
| Set the prior or known value for the relative rotation.

## Protected Attributes

const double * | _bearingVectors1
const double * | _bearingVectors2
int | _numberBearingVectors1
int | _numberBearingVectors2
opengv::translation_t | _t12
opengv::rotation_t | _R12
Protected Attributes inherited from opengv::relative_pose::RelativeAdapterBase
opengv::translation_t | _t12
opengv::rotation_t | _R12

## Detailed Description

Check the documentation of the parent-class to understand the meaning of a RelativeAdapter. This child-class is for the central case and holds data in form of pointers to matlab data.

## Member Function Documentation

## getBearingVector1()

virtual bearingVector_t opengv::relative_pose::MACentralRelative::getBearingVector1 | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeAdapterBase.

## getBearingVector2()

virtual bearingVector_t opengv::relative_pose::MACentralRelative::getBearingVector2 | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeAdapterBase.

## getCamOffset1()

virtual translation_t opengv::relative_pose::MACentralRelative::getCamOffset1 | ( | size_t | index | ) | const

virtual

See parent-class. Returns zero for this adapter.

Implements opengv::relative_pose::RelativeAdapterBase.

## getCamOffset2()

virtual translation_t opengv::relative_pose::MACentralRelative::getCamOffset2 | ( | size_t | index | ) | const

virtual

See parent-class. Returns zero for this adapter.

Implements opengv::relative_pose::RelativeAdapterBase.

## getCamRotation1()

virtual rotation_t opengv::relative_pose::MACentralRelative::getCamRotation1 | ( | size_t | index | ) | const

virtual

See parent-class. Returns identity for this adapter.

Implements opengv::relative_pose::RelativeAdapterBase.

## getCamRotation2()

virtual rotation_t opengv::relative_pose::MACentralRelative::getCamRotation2 | ( | size_t | index | ) | const

virtual

See parent-class. Returns identity for this adapter.

Implements opengv::relative_pose::RelativeAdapterBase.

## getNumberCorrespondences()

virtual size_t opengv::relative_pose::MACentralRelative::getNumberCorrespondences | ( |  | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeAdapterBase.

## getWeight()

virtual double opengv::relative_pose::MACentralRelative::getWeight | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeAdapterBase.

## Member Data Documentation

## _bearingVectors1

const double* opengv::relative_pose::MACentralRelative::_bearingVectors1

protected

A pointer to the bearing-vectors in viewpoint 1

## _bearingVectors2

const double* opengv::relative_pose::MACentralRelative::_bearingVectors2

protected

A pointer to the bearing-vectors in viewpoint 2

## _numberBearingVectors1

int opengv::relative_pose::MACentralRelative::_numberBearingVectors1

protected

The number of bearing-vectors in viewpoint 1

## _numberBearingVectors2

int opengv::relative_pose::MACentralRelative::_numberBearingVectors2

protected

The number of bearing-vectors in viewpoint 2

## _R12

opengv::rotation_t opengv::relative_pose::RelativeAdapterBase::_R12

protected

Prior or known value for the rotation from viewpoint 2 back to viewpoint 1. Initialized to identity if not provided.

## _t12

opengv::translation_t opengv::relative_pose::RelativeAdapterBase::_t12

protected

Prior or known value for the position of viewpoint 2 seen from viewpoint 1. Initialized to zero if not provided.

The documentation for this class was generated from the following file:

- include/opengv/relative_pose/MACentralRelative.hpp